package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Projectplan对象 projectplan
 * 
 * @author hlf
 * @date 2022-08-30
 */
public class Projectplan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    private String projectid;

    private Double generatingcapacity;

    private Long year;

    private Long month;

    private Long windpower;

    private String windplantName;

    private String pvStationName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProjectid(String projectid) 
    {
        this.projectid = projectid;
    }

    public String getProjectid() 
    {
        return projectid;
    }
    public void setGeneratingcapacity(Double generatingcapacity)
    {
        this.generatingcapacity = generatingcapacity;
    }

    public Double getGeneratingcapacity()
    {
        return generatingcapacity;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setWindpower(Long windpower)
    {
        this.windpower = windpower;
    }

    public Long getWindpower()
    {
        return windpower;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getPvStationName() {
        return pvStationName;
    }

    public void setPvStationName(String pvStationName) {
        this.pvStationName = pvStationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectid", getProjectid())
            .append("generatingcapacity", getGeneratingcapacity())
            .append("year", getYear())
            .append("month", getMonth())
            .append("windpower", getWindpower())
            .toString();
    }
}
